perfectionist

Enabled Lints

The currently enabled lints can be found in the sample analysis_options.yaml.

To use those lints you can add a dependency in your pubspec.yaml:

# If you also need to import `package:perfectionist/perfectionist.dart`, it's a
# normal dependency.
dependencies:
  perfectionist: '^2.0.0'

# Or, if you just want `analysis_options.yaml`, it can be a dev dependency.
dev_dependencies:
  perfectionist: '^2.0.0'

and add an include in your analysis_options.yaml:

include: package:perfectionist/analysis_options.yaml